Upgrading your plug-in packages

The plug-in packages are distributed as part of the SnapCenter upgrade.

Before you begin

If you are a non-root user with access to the Linux machines, you should update the /etc/sudoers file with the latest checksum values before performing the upgrade operation.

About this task

For details about upgrading SnapCenter Plug-in for VMware vSphere, see the section about SnapCenter Plug-in for VMware vSphere.

Steps

  1. In the left navigation pane, click Hosts.
  2. Verify that Managed Hosts is selected at the top.
  3. Select the host for which you want to upgrade the plug-in package.
  4. In the Information section, click Suspend Schedule to place the host for this plug-in in maintenance mode.
  5. Click Modify in the toolbar.
  6. In the Modify page, select Upgrade plug-ins.
    Note: All the plug-ins in the package gets selected but only the plug-ins that were installed with the earlier version of SnapCenter are upgraded and the remaining plug-ins are not installed. You must use the Add plug-ins option to install any new plug-in.
    Note: If you have the Windows plug-ins 1.1 package installed on the SnapCenter 1.1 host (Windows host), while upgrading the plug-ins to 3.0 or later, the Add plug-ins option is selected by default and the Upgrade plug-ins option is disabled. You can successfully upgrade the plug-ins by selecting the Add plug-ins option.

    You cannot select a custom location if you are upgrading the SnapCenter Plug-in for Oracle Database from an earlier version to 3.0 or later.

  7. Select Skip prechecks if you do not want to validate whether the host meets the requirements to upgrade the plug-in.
  8. Select the plug-in package you want to upgrade to and then click OK.
    Note: After upgrading SnapCenter Plug-in for Microsoft SQL Server, you must refresh the resources to view the Availability Group type and you must also provide new values for Repeat every option for monthly schedules because the values of Repeat every option are not retained.
  9. Click Next.
    If you have not selected the Skip prechecks check box, the host is validated to see if it meets the requirements to install the plug-in. If the minimum requirements are not met, appropriate error or warning messages are displayed. After fixing the issue, click Validate to re-validate the requirements.
    Note: If the error is related to disk space or RAM, you can either update the web.config located at C:\Program Files\NetApp\SnapCenter WebApp or PowerShell config files located at C:\Windows\System32\WindowsPowerShell\v1.0\Modules\SnapCenter\ to modify the default values. If the error is related to remaining parameters you must fix the issue and then validate the requirements again.
  10. Review the summary, and then click Finish.

After you finish

After the plug-in package is upgraded, bring the host out of maintenance mode by clicking Activate Schedule.